Get Team By Id V2

gethttps://app.fossa.com/api/v2/teams/{id}

Get metadata about a team by ID

Path parameters

idstringrequired

Identifier of the team. Interpreted as the team's numeric ID unless `idType` is `uniqueIdentifier`, in which case it is the team's customer-assigned unique identifier, which requires the "Team Unique ID" feature flag.

Query parameters

idTypeenum

How to interpret the `id` path parameter. Defaults to `id` (the team's numeric ID). Unique identifiers are resolved within the requesting user's organization, and are only available to organizations with the "Team Unique ID" feature flag enabled; without it, teams have no unique identifier to look up.

iduniqueIdentifier

Responses

200OK
idinteger

The team's unique identifier

organizationIdinteger

The organization's unique identifier

namestring

The team's name

defaultRoleIdinteger

The default role's unique identifier

autoAddUsersboolean

Whether the team auto-adds users

uniqueIdentifierstring

The team's unique identifier

createdAtstring <date-time>

The team's creation date

updatedAtstring <date-time>

The team's last update date

teamTypeenum

Whether it's a normal team or a Team Group.

teamteam_group
teamMembersCountinteger

The number of members in the team

teamReleaseGroupsCountinteger

The number of release groups associated with the team

teamProjectsCountinteger

The number of projects associated with the team

teamOIDCProvidersCountinteger

The number of OIDC providers that can be accessed by members of this team. Includes both org-scoped providers and team-scoped providers where the scopeId matches the team ID. This property is only returned if the user has permission to view OIDC providers.

400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404Not Found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/teams/%7Bid%7D
curl --request GET \  --url 'https://app.fossa.com/api/v2/teams/%7Bid%7D' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idstringrequired

Identifier of the team. Interpreted as the team's numeric ID unless `idType` is `uniqueIdentifier`, in which case it is the team's customer-assigned unique identifier, which requires the "Team Unique ID" feature flag.

Query params

idTypeenum

How to interpret the `id` path parameter. Defaults to `id` (the team's numeric ID). Unique identifiers are resolved within the requesting user's organization, and are only available to organizations with the "Team Unique ID" feature flag enabled; without it, teams have no unique identifier to look up.